Get a status report
curl --request GET \
--url https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}import requests
url = "https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"report": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "incident",
"title": "<string>",
"state": "investigating",
"visibility": "draft",
"startedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"scheduledStartAt": "2023-11-07T05:31:56Z",
"scheduledEndAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "investigating",
"message": "<string>",
"visibility": "draft",
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"impacts": [
{
"surfaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surfaceKey": "<string>",
"surfaceName": "<string>",
"impact": "degraded_performance"
}
]
}
]
}
}StatusPages
Get a status report
Get one report with every update, drafts included.
GET
https://api.sazabi.com/v1
/
status-pages
/
{statusPageId}
/
reports
/
{reportId}
Get a status report
curl --request GET \
--url https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}import requests
url = "https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sazabi.com/v1/status-pages/{statusPageId}/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"report": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "incident",
"title": "<string>",
"state": "investigating",
"visibility": "draft",
"startedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"scheduledStartAt": "2023-11-07T05:31:56Z",
"scheduledEndAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "investigating",
"message": "<string>",
"visibility": "draft",
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"impacts": [
{
"surfaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surfaceKey": "<string>",
"surfaceName": "<string>",
"impact": "degraded_performance"
}
]
}
]
}
}